# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build

# Utility rule file for core_compat_sicstus.

# Include any custom commands dependencies for this target.
include src/CMakeFiles/core_compat_sicstus.dir/compiler_depend.make

# Include the progress variables for this target.
include src/CMakeFiles/core_compat_sicstus.dir/progress.make

src/CMakeFiles/core_compat_sicstus: home/include/sicstus/sicstus.h

home/include/sicstus/sicstus.h: home/include/sicstus/.created
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Generating ../home/include/sicstus/sicstus.h"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/include/sicstus && /usr/pkg/bin/cmake -E create_symlink ../../../../src/compat/sicstus.h ./sicstus.h

home/include/sicstus/.created:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Generating ../home/include/sicstus/.created"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/src && /usr/pkg/bin/cmake -E make_directory /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/include/sicstus
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/src && touch -t 200001010000 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/include/sicstus/.created

core_compat_sicstus: home/include/sicstus/.created
core_compat_sicstus: home/include/sicstus/sicstus.h
core_compat_sicstus: src/CMakeFiles/core_compat_sicstus
core_compat_sicstus: src/CMakeFiles/core_compat_sicstus.dir/build.make
.PHONY : core_compat_sicstus

# Rule to build all files generated by this target.
src/CMakeFiles/core_compat_sicstus.dir/build: core_compat_sicstus
.PHONY : src/CMakeFiles/core_compat_sicstus.dir/build

src/CMakeFiles/core_compat_sicstus.dir/clean:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/src && $(CMAKE_COMMAND) -P CMakeFiles/core_compat_sicstus.dir/cmake_clean.cmake
.PHONY : src/CMakeFiles/core_compat_sicstus.dir/clean

src/CMakeFiles/core_compat_sicstus.dir/depend:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/src /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/src /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/src/CMakeFiles/core_compat_sicstus.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : src/CMakeFiles/core_compat_sicstus.dir/depend

